RADEON 9600: не работает 3D-ускорение

Аватар пользователя slavikVA

ASP10, ядро 2.6.12, x.org 6.8.1, скачал последние драйвера 8.29, установил, при запуске tuxracer выдает следующее:
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
*** tuxracer error: Couldn't initialize video: Couldn't find matching GLX visual (Success)
:-?
Помогите разобраться с настройкой этой карты? С nvidia было проще.

Аватар пользователя DRVTiny

RADEON 9600

У Вас в Section "Module" файла xorg.conf есть строчка Load "glx"?
Если есть, значит нужно смотреть логи X-сервера, потому что модуль GLX у Вас не был загружен по каким-то вполне объективным причинам. Улыбка
Прикрепите лог /var/log/Xorg.0.log к своему следующему сообщению.

Аватар пользователя slavikVA

Re: RADEON 9600

[drm] failed to load kernel module "fglrx"
(II) fglrx(0): [drm] drmOpen failed
(EE) fglrx(0): DRIScreenInit failed!
(WW) fglrx(0): ***********************************************
(WW) fglrx(0): * DRI initialization failed! *
(WW) fglrx(0): * (maybe driver kernel module missing or bad) *
(WW) fglrx(0): * 2D acceleraton available (MMIO) *
(WW) fglrx(0): * no 3D acceleration available *
(WW) fglrx(0): ********************************************* *
(II) fglrx(0): FBADPhys: 0xe0000000 FBMappedSize: 0x02000000
(**) fglrx(0): Write-combining range (0xe0000000,0x2000000)
(II) fglrx(0): FBMM initialized for area (0,0)-(1024,8191)
(II) fglrx(0): FBMM auto alloc for area (0,0)-(1024,768) (front color buffer - assumption

И еше вопрос надо ли перед установкой драйвера отрубать DRI в ядре?

Аватар пользователя slavikVA

Re: RADEON 9600

Продолжаем бороться с ATI 9600, обновил систему до 11 версии, ядро 2.6.14, при установке постваил галочку установить kelnel-fglrx, установка прошла нормально, при загрузке вижу модуль fglrx не загружен ошибка. Ладно ставлю свеже скачанный драйвер 8.29-run, в логах читаю модуль не установлен читайте редми. Хорошо пробую ставить модуль сам, захожу в /lib/modules/fglrx/build/ make.sh, опять ошибка файл или папка build не найден. :-? Что за фигня, хочу 3d, может при установке надо было не включать модуль?
И где брать build в исходниках ядра :-?

Аватар пользователя slavikVA

Re: RADEON 9600

И некому помочь Грустный

Аватар пользователя DRVTiny

RADEON 9600

Я бы помог, но у меня карточка NVidia. С ней у меня никогда проблем не было (кроме чисто аппаратных), так что мало чем могу помочь

Цитата:
Хорошо пробую ставить модуль сам, захожу в /lib/modules/fglrx/build/ make.sh

Не понял, что ещё за /lib/modules/fglrx? Может, всё-таки /lib/modules/`uname -r`/fglrx? Модули ядра (драйверы) находятся в /lib/modules/версия_ядра.

Цитата:
при загрузке вижу модуль fglrx не загружен ошибка

А что говорит modprobe fglrx ?

Аватар пользователя slavikVA

RADEON 9600

DRVTiny писал(а):
Не понял, что ещё за /lib/modules/fglrx? Может, всё-таки /lib/modules/`uname -r`/fglrx? Модули ядра (драйверы) находятся в /lib/modules/версия_ядра.

Еще в десятке я видел при установке драйвера ati, в каталоге /lib/modules/ появлялась эта пака fglrx, в ней есть бюилд который как я понимаю делает модуль для ядра.

DRVTiny писал(а):
А что говорит modprobe fglrx ?

Он говорит нет такого модуля :-?

Аватар пользователя DRVTiny

Re: RADEON 9600

Цитата:
Он говорит нет такого модуля

Раз говорит, значит и правда такого модуля нет Улыбка Т.е. для начала его нужно хотя бы установить так, чтобы он точно был.Так что... прежде, чем устанавливать пакет, якобы содержащий модуль, посмотрите, что в этом пакете на самом деле есть (rpm -qpl пакет.rpm) и вообще, для чего он предназначен (rpm -qpi пакет.rpm). Например, в ASP11 пакет, содержащий модуль проприетарного драйвера для видеокарт ATI, называется kernel-module-fglrx-2.6.14-1.1653.1asp-8.21.7.1-0.1.110asp.i686.rpm

[DRVTiny@localhost ~]$ rpm -qpl /repo/Base/kernel-module-fglrx-2.6.14-1.1653.1asp-8.21.7.1-0.1.110asp.i686.rpm
/lib/modules/2.6.14-1.1653.1asp/kernel/drivers/char/drm/fglrx.ko
[DRVTiny@localhost ~]$ rpm -qpi /repo/Base/kernel-module-fglrx-2.6.14-1.1653.1asp-8.21.7.1-0.1.110asp.i686.rpm
Name : kernel-module-fglrx-2.6.14-1.1653.1asp Relocations: (not relocatable)
Version : 8.21.7.1 Vendor: ASPLinux
Release : 0.1.110asp Build Date: Пнд 23 Янв 2006 23:18:54
Install Date: (not installed) Build Host: amd64.asplinux.com.ua
Group : System Environment/Kernel Source RPM: ati-fglrx-8.21.7.1-0.1.110asp.src.rpm
Size : 1146551 License: Distributable
Signature : DSA/SHA1, Пнд 23 Янв 2006 23:31:25, Key ID c96aa8e69b3c94f4
Packager : ASPLinux Team
URL : http://www.ati.com/support/drivers/linux/radeon-linux.html
Summary : ATI proprietary driver for ATI Radeon graphic cards, kernel part
Description :
This Package contains the kernel modules required for 3D acceleration with
the ATI proprietary driver for ATI Radeon graphic cards. This package is
built for kernel 2.6.14-1.1653.1asp (i686).

RSS-материал